*************************************************************
*DISTRIBUCIN FISM 2013
********************INICIO**********************************

GET 
 FILE='C:\Microdatoscenso_2010\Poblacion\Personas_28.sav'. 
DATASET NAME DataSet1 WINDOW=FRONT.

COMPUTE CLAVIVP1=NUMBER(CLAVIVP,F8.0).
EXECUTE.
DELETE VARIABLES CLAVIVP.
RENAME VARIABLES (CLAVIVP1=CLAVIVP).
SELECT IF (CLAVIVP >= 0 & CLAVIVP < 5) | (CLAVIVP = 9). 
EXECUTE.
SORT CASES ENT(A) MUN(A) ID_VIV(A).

*BRECHA NIVEL EDUCATIVO*

COMPUTE EDAD1=NUMBER(EDAD,F8.0).
EXECUTE.
DELETE VARIABLES EDAD.
RENAME VARIABLES (EDAD1=EDAD).
IF (EDAD=999)  EDAD=$SYSMIS.
EXECUTE.

COMPUTE ANALF=NUMBER(ALFABET,F8.0).
EXECUTE.

IF  (ANALF=3) ANALF=0. 
IF  (ANALF=9) ANALF=$SYSMIS. 
EXECUTE.

COMPUTE ESCOACUM1=NUMBER(ESCOACUM,F8.0).
EXECUTE.
DELETE VARIABLES ESCOACUM.
RENAME VARIABLES (ESCOACUM1=ESCOACUM).
IF (ESCOACUM=99)  ESCOACUM=$SYSMIS.
EXECUTE.

NUMERIC NORMA (F8.2).
EXECUTE.

*Normas

IF  (EDAD>=7 & EDAD<=9)  NORMA=(ESCOACUM/1).
IF  (EDAD=10)  NORMA=(ESCOACUM/2).
IF  (EDAD=11)  NORMA=(ESCOACUM/3).
IF  (EDAD=12)  NORMA=(ESCOACUM/4).
IF  (EDAD=13)  NORMA=(ESCOACUM/5).
IF  (EDAD>=14  & ~MISSING(EDAD)) NORMA=(ESCOACUM/6).
EXECUTE.

NUMERIC NEI(F8.2).
IF(EDAD>=7 & EDAD <=9) NEI=NORMA.
IF(EDAD>=10 & ~MISSING(EDAD) & (~MISSING(NORMA) & ~MISSING(ANALF))) NEI=(NORMA*ANALF).
EXECUTE.


* Generando brecha educativa

NUMERIC B_EDUCATIVA(F8.2).
IF((EDAD>=7 & ~MISSING(EDAD)) &  ~MISSING(NEI)) B_EDUCATIVA=1-NEI.
EXECUTE.

*Ajuste de la brecha educativa

IF(B_EDUCATIVA<0) B_EDUCATIVA=(B_EDUCATIVA/7.334).
EXECUTE.

*COLAPSANDO PARA BRECHA EDUCATIVA

SORT CASES BY NOM_ENT(A) NOM_MUN(A) ID_VIV(A).

AGGREGATE
  /OUTFILE=* MODE=ADDVARIABLES
  /BREAK=NOM_ENT NOM_MUN ID_VIV
  /B_ED=MEAN(B_EDUCATIVA).
  
EXECUTE.
DELETE VARIABLES   B_EDUCATIVA.
RENAME VARIABLES (B_ED=B_EDUCATIVA).

SORT CASES BY ID_VIV(A) . 

MATCH FILES 
  /FILE=* 
  /BY ID_VIV 
  /FIRST=PrimarioPrimero. 
VARIABLE LABELS  PrimarioPrimero 'Indicador de cada primer caso de coincidencia como primario'. 
VALUE LABELS  PrimarioPrimero 0 'Caso duplicado' 1 'Caso primario'. 
VARIABLE LEVEL  PrimarioPrimero (ORDINAL). 
EXECUTE.

SELECT IF (PrimarioPrimero=1). 
EXECUTE.

SORT CASES   BY ENT(A) MUN(A) ID_VIV(A).
SAVE OUTFILE='C:\Microdatoscenso_2010\BasesFais\SPSS\educativa_28.sav'
/KEEP ENT MUN ID_VIV B_EDUCATIVA
/COMPRESSED.

*USANDO LA BASE DE VIVIENDAS

GET
FILE='C:\Microdatoscenso_2010\Vivienda\Viviendas_28.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.

* BRECHA INGRESO*

COMPUTE INGTRHOG1=NUMBER(INGTRHOG,F8.0).
EXECUTE.
DELETE VARIABLES INGTRHOG.
RENAME VARIABLES (INGTRHOG1=INGTRHOG).

COMPUTE NUMPERS1=NUMBER(NUMPERS,F8.0).
EXECUTE.
DELETE VARIABLES NUMPERS.
RENAME VARIABLES (NUMPERS1=NUMPERS).

COMPUTE CLAVIVP1=NUMBER(CLAVIVP,F8.0).
EXECUTE.
DELETE VARIABLES CLAVIVP.
RENAME VARIABLES (CLAVIVP1=CLAVIVP).

SELECT IF (CLAVIVP >= 0 & CLAVIVP < 5) | (CLAVIVP = 9). 
EXECUTE.
SORT CASES ENT(A) MUN(A) ID_VIV(A).

IF(INGTRHOG=999999) INGTRHOG=$SYSMIS.
EXECUTE.
COMPUTE INGRESO11=INGTRHOG*1.077537.
COMPUTE INGPC=(INGRESO11/NUMPERS).
EXECUTE.

*Lnea de pobreza alimentaria rural CONEVAL Junio 2012;

COMPUTE LP=877.98.
COMPUTE B_INGRESO=(LP-INGPC)/LP.
EXECUTE.

*Reescalamiento del ingreso;

IF (B_INGRESO>=-9 & B_INGRESO<0) B_INGRESO=(B_INGRESO/18).
IF(B_INGRESO<-9) B_INGRESO=-0.5.
EXECUTE.

*BRECHA DISPONIBILIDAD DE ESPACIO EN LA VIVIENDA

COMPUTE CUADORM1=NUMBER(CUADORM,F8.0).
EXECUTE.
DELETE VARIABLES CUADORM.
RENAME VARIABLES (CUADORM1=CUADORM).

IF (CUADORM=99)  CUADORM=$SYSMIS.
EXECUTE.

COMPUTE DEJ=((CUADORM*3)/NUMPERS).
EXECUTE.

*Reescalamiento de la disponibilidad de espacio de la vivienda.

IF(DEJ>1 & ~MISSING(DEJ)) DEJ=(DEJ*(1.5/75)) + (1-(DEJ/75)).
EXECUTE.

*Brecha de espacio de la vivienda.

NUMERIC B_ESPACIO(F8.2).
EXECUTE.

IF(~MISSING(DEJ)) B_ESPACIO=1-DEJ.
EXECUTE.

*BRECHA DISPONIBILIDAD DE DRENAJE

COMPUTE DRENAJE1=NUMBER(DRENAJE,F8.0).
EXECUTE.
DELETE VARIABLES DRENAJE.
RENAME VARIABLES (DRENAJE1=DRENAJE).

NUMERIC D1(F8.2).
EXECUTE.

IF(DRENAJE=1) D1=1.5.
IF(DRENAJE=2) D1=1.0.
IF(DRENAJE=3) D1=0.5.
IF(DRENAJE=4) D1=0.3.
IF(DRENAJE=5) D1=0.0.
EXECUTE.
 
*Brecha por disponibilidad de drenaje

COMPUTE B_DRENAJE=1-D1.
EXECUTE.

*BRECHA DE ELECTRICIDAD CUMBUSTIBLE

COMPUTE ELECTRI1=NUMBER(ELECTRI,F8.0).
EXECUTE.
DELETE VARIABLES ELECTRI.
RENAME VARIABLES (ELECTRI1=ELECTRI).

COMPUTE COMBUST1=NUMBER(COMBUST,F8.0).
EXECUTE.
DELETE VARIABLES COMBUST.
RENAME VARIABLES (COMBUST1=COMBUST).

IF (ELECTRI=3)  ELECTRI=0.
IF (ELECTRI=9)  ELECTRI=$SYSMIS.
EXECUTE.

NUMERIC C(F8.2).
EXECUTE.

IF(ELECTRI=1) C=1.0.
IF((COMBUST=1 | COMBUST=2) & ELECTRI=0) C=1.0.
IF((COMBUST=3 | COMBUST=4) & ELECTRI=0) C=0.1.
EXECUTE.

*Brecha de electricidad o combustible

NUMERIC B_ELECTRICIDAD(F8.2).
EXECUTE.
IF(~MISSING(C)) B_ELECTRICIDAD=1-C.
EXECUTE.

SORT CASES BY ENT(A) MUN(A) ID_VIV(A).

MATCH FILES /FILE=* 
  /FILE='C:\Microdatoscenso_2010\BasesFais\SPSS\educativa_28.sav'
  /BY ENT MUN ID_VIV. 
EXECUTE.

SAVE OUTFILE='C:\Microdatoscenso_2010\BasesFais\SPSS\brechas_28.sav'
 /KEEP = ENT MUN NOM_ENT NOM_MUN ID_VIV INGRESO11 B_INGRESO B_EDUCATIVA B_ESPACIO B_DRENAJE B_ELECTRICIDAD INGPC FACTOR NUMPERS
/COMPRESSED.

GET
FILE='C:\Microdatoscenso_2010\BasesFais\SPSS\brechas_28.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.

*ndice global de pobreza de un hogar;

COMPUTE IGP= (B_INGRESO*0.4616)+(B_EDUCATIVA*0.1250)+(B_ESPACIO*0.2386)+(B_DRENAJE*0.0608)+(B_ELECTRICIDAD*0.1140).
EXECUTE.

*Poblacin en situacin de pobreza extrema;

NUMERIC P_EXT(F8.2).
EXECUTE.

IF(IGP>=0 & IGP<=1) P_EXT=1.
EXECUTE.

*Masa carencial del hogar;

NUMERIC MCH(F8.2).
EXECUTE.

IF(P_EXT=1) MCH=(IGP**2)*NUMPERS.
EXECUTE.

*Masa carencial estatal y municipal;

SORT CASES BY ENT(A) MUN(A) ID_VIV(A).

COMPUTE MCHF=(MCH*FACTOR).
EXECUTE.

AGGREGATE 
  /OUTFILE=* MODE=ADDVARIABLES 
  /PRESORTED 
  /BREAK=MUN 
  /MCMF=SUM(MCHF).

AGGREGATE 
  /OUTFILE=* MODE=ADDVARIABLES 
  /PRESORTED 
  /BREAK=ENT 
  /MCEF=SUM(MCHF).

*Base de masa carencial

SAVE OUTFILE='C:\Microdatoscenso_2010\BasesFais\SPSS\mch_28.sav'
/COMPRESSED.

*COLAPSANDO PARA BASE MUNICIPAL

SORT CASES BY ENT(A) MUN(A). 
MATCH FILES 
  /FILE=* 
  /BY MUN
  /FIRST=PrimarioPrimero. 
VARIABLE LABELS  PrimarioPrimero 'Indicador de cada primer caso de coincidencia como primario'. 
VALUE LABELS  PrimarioPrimero 0 'Caso duplicado' 1 'Caso primario'. 
VARIABLE LEVEL  PrimarioPrimero (ORDINAL). 
EXECUTE.

SELECT IF (PrimarioPrimero=1). 
EXECUTE.

SORT CASES   BY ENT(A) MUN(A).

COMPUTE PCM=MCMF/MCEF.
EXECUTE.

SAVE OUTFILE='C:\Microdatoscenso_2010\BasesFais\SPSS\municipales_28.sav'
/COMPRESSED.

SAVE OUTFILE='C:\Microdatoscenso_2010\BasesFais\SPSS\FISM_28.sav'
/KEEP   ENT NOM_ENT MUN NOM_MUN MCMF PCM
/COMPRESSED.

GET
FILE='C:\Microdatoscenso_2010\BasesFais\SPSS\FISM_28.sav'.
DATASET NAME DataSet1 WINDOW=FRONT.

SAVE TRANSLATE OUTFILE='C:\Microdatoscenso_2010\BasesFAIS\SPSS\FISM_28.xls' 
  /TYPE=XLS 
  /VERSION=8 
  /MAP 
  /REPLACE 
  /FIELDNAMES 
  /CELLS=VALUES. 
 
*******FIN*******
